using MultiLayout;
using MultiLayout.UiModule;
using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.Thick.Base.UI.Client.UiModule
{


    /// <summary>
    /// MenuProfile.xaml 的交互逻辑
    /// </summary>
    public partial class MenuProfile : UserControl
    {
        IUnityContainer container;
        public MenuProfile()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }
        private void btnProfileClick(object sender, RoutedEventArgs e)
        {
            //PgBatteryProfileMultiFix p = new PgBatteryProfileMultiFix();
            //container.BuildUp(p);
            //FlyLayoutManager.NavigationService.Navigate(p);
        }

    }

    public class UiModule2_MenuProfile : IUiModule2
    {
        public string Title => "电池产品";

        public ComponentType Type => ComponentType.Menu;

        public bool IsUnique => true;

        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            MenuProfile menu = new MenuProfile();
            container.BuildUp(menu);
            return menu;
        }

        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }

        public void MatchParam(int[] IDs)
        {

        }
    }
}
